import { Box } from "@mui/material";

const DynamicStyle = ({ mobile, tablet, desktop, children ,isActive}) => {


  console.log(mobile)
  console.log(desktop)


  if(!isActive) return null
  return (
    <Box
      sx={{
        marginTop: {
          xs: `${mobile}px`,
          sm: `${tablet}px`,
          md: `${tablet}px`,
          lg: `${desktop}px`,
        },
        width: "100%",
      }}
    >
      {children}
    </Box>
  );
};

export default DynamicStyle;
